# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KImageTrackLabel Class Reference

Used internally by KAboutContainerBase. More...

`#include <kaboutdialog_private.h>`

Inheritance diagram for KImageTrackLabel:

[legend]
Collaboration diagram for KImageTrackLabel:

[legend]
List of all members.

## Public Types

enum | MouseMode { MousePress = 1, MouseRelease, MouseDoubleClick, MouseMove }

## Signals

void | mouseTrack (int mode, const QMouseEvent *e)

## Public Member Functions

| KImageTrackLabel (QWidget *parent, const char *name=0, WFlags f=0)

## Protected Member Functions

virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseReleaseEvent (QMouseEvent *e)
virtual void | mouseDoubleClickEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)

## Detailed Description

Used internally by KAboutContainerBase.

Definition at line 35 of file kaboutdialog_private.h.

The documentation for this class was generated from the following files:

- kaboutdialog_private.h
- kaboutdialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:24 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003